Package org.jmock.core

# Interface Invokable

All Superinterfaces:
  `SelfDescribing`, `Verifiable`

All Known Implementing Classes:
  `InvocationMocker`

public interface Invokable extends Verifiable, SelfDescribing

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasDescription()`
`Object`
`invoke(Invocation invocation)`
`boolean`
`matches(Invocation invocation)`

### Methods inherited from interface org.jmock.core.SelfDescribing

`describeTo`

### Methods inherited from interface org.jmock.core.Verifiable

`verify`

## Method Details

### matches

boolean matches(Invocation invocation)

### invoke

Object invoke(Invocation invocation) throws Throwable

Throws:
  `Throwable`

### hasDescription

boolean hasDescription()